List available ports

Get a list of available ports for use in a service.

Request

Endpoint: /api/services/ports-available
Method: GET
Headers: Accept: application/vnd.cloudlx.v1+json
Authorization: Bearer <access_token>

Request Values - Required

None

Request Values - Optional

datacentre_id Description The ID of the datacentre where the ports are located
Type Integer
Example 15
city_id Description The ID of the city where the ports are located
Type Integer
Example 142
continent_id Description The ID of the continent where the ports are located
Type Integer
Example 3
service_type Description The short code for the service type. Short code obtainable from the Service Types API endpoint.
Type Enum(AWS|GCP|MSA|INT|...)
Example "INT"

Response

Example:

                                
    {
        "ports": [
            {
                "id": 11241,
                "name": "Amazon Web Services (Dublin)",
                "speed": null,
                "service_type": "AWS",
                "cloud_region": "eu-west-1",
                "datacentre": {
                    "id": 543,
                    "name": "Telehouse North",
                    "city":{
                        "id": 43,
                        "name": "London",
                        "country": {
                            "id": 3,
                            "name": "United Kingdom",
                            "continent":{
                                "name": "EMEA"
                            }
                        }
                    }
                }
            },
            {
                "id": 11755,
                "name": "Friendly name here",
                "speed": "10Gbit",
                "service_type": "INT",
                "datacentre": {
                    "id": 543,
                    "name": "Telehouse North",
                    "city":{
                        "id": 43,
                        "name": "London",
                        "country": {
                            "id": 3,
                            "name": "United Kingdom",
                            "continent":{
                                "name": "EMEA"
                            }
                        }
                    }
                }
            },
            ...
        ]
    }
                                
                            
id Description The ID of the port
Type Integer
Example 15
name Description The name of the port
Type String
Example "Friendly name here"
speed Description The speed of the port (if applicable)
Type String
Example "10Gbit"
service_type Description The short code for the service type
Type Enum(String)
Example "INT"
cloud_region Description The cloud region the port connects to. Note: this field is only shown for third party Cloud or Internet Exchange ports (for example AWS, GCP or Microsoft Azure).
Type String
Example "eu-west-1"
datacentre Description The datacentre the port is located in
Type Object
Example See object definition on the Datacentre Locality API page

Back to top